package com.ruoyi.predict.domain;

import com.ruoyi.common.annotation.Excel;

/**
 * @author hlf
 * @date 2022/10/17 15:31
 * 文件说明：
 */
public class UnitMeasuringPoint {

    private Long pointNo;

    @Excel(name = "场站编号")
    private Long windplantNo;

    @Excel(name = "机组编号")
    private Long wturNo;

    @Excel(name = "测点代码")
    private String name;

    @Excel(name = "描述")
    private String ref;

    @Excel(name = "倍率")
    private Double ratio;

    @Excel(name = "统一测点")
    private Long unifiedPoint;

    private Integer type;

    private String windplantName;

    private String wturName;

    public Long getPointNo() {
        return pointNo;
    }

    public void setPointNo(Long pointNo) {
        this.pointNo = pointNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWturNo() {
        return wturNo;
    }

    public void setWturNo(Long wturNo) {
        this.wturNo = wturNo;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRef() {
        return ref;
    }

    public void setRef(String ref) {
        this.ref = ref;
    }

    public Double getRatio() {
        return ratio;
    }

    public void setRatio(Double ratio) {
        this.ratio = ratio;
    }

    public Long getUnifiedPoint() {
        return unifiedPoint;
    }

    public void setUnifiedPoint(Long unifiedPoint) {
        this.unifiedPoint = unifiedPoint;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    public String getWturName() {
        return wturName;
    }

    public void setWturName(String wturName) {
        this.wturName = wturName;
    }
}
